import { Groups } from 'module/types/meta';
import { IRequestCommonOptions } from 'module/libs/http';
import { IMaterial } from 'module/types/server-models';
export declare enum Resources {
    material = "material"
}
export declare function isResource(v: Groups | Resources): boolean;
export declare function getUrlPrefix(v: Groups | Resources): "resource" | "meta";
export declare function formatName(str: string): string;
export declare function saveResource(res: Resources, id: string, file: File, fileName?: string, options?: IRequestCommonOptions): Promise<string>;
export declare function removeResource(res: Resources, id: string, options?: IRequestCommonOptions): Promise<void>;
export declare function queryResources(res: Resources, options?: IRequestCommonOptions): Promise<any>;
export declare function getSrc(data: IMaterial, withBaseUrl?: boolean): string;
export declare function importIconZip(file: File, options?: IRequestCommonOptions): Promise<any>;
export declare function upsertStyles(cssFileName: string, css: string, options?: IRequestCommonOptions): Promise<any>;
export declare function getStyles(cssFileName: string, options?: IRequestCommonOptions): Promise<any>;
