import { IMetaGroup, IMetaNamed, IMetaObject, IMetaPackage } from '../types/server-meta';
export declare const SEPARATOR = ".";
export declare function preHandleGroup(group: IMetaGroup, handler: Function): false | undefined;
export declare function preHandlePackages(packages: IMetaPackage[], handler: Function): false | undefined;
export declare function preHandlePackage(pack: IMetaPackage, handler: Function): false | undefined;
export declare function preHandleObjects(objects: IMetaObject[], parentPackage: IMetaPackage | null, handler: Function): false | undefined;
export declare function preHandleObject(object: IMetaObject, parentPackage: IMetaPackage | null, handler: Function): any;
export declare function addId(object: IMetaNamed): IMetaNamed;
export declare function getId(object?: IMetaNamed): string | undefined;
export declare function combineId(packageName: string, name: string): string;
export declare function removeId(object: IMetaNamed): void;
export declare function extractId(id: string): {
    packageName: string;
    name: string;
};
