import { Resources } from 'module/api/ide/resource';
import { Groups } from 'module/types/meta';
export declare enum DataChangeType {
    create = "create",
    update = "update",
    remove = "remove"
}
export interface IDataChange {
    target: Groups | Resources;
    type: DataChangeType;
    targetId?: string;
    targetData?: any;
    newId?: string;
    newTitle?: string;
}
export declare const store: import("vuex").Store<{
    dataChange: IDataChange;
}>;
