import { IPlatform } from '../api';
export interface IThemeConfig {
    '--fly-body-md'?: string;
    '--fly-size-lg'?: string;
    '--fly-size-md'?: string;
    '--fly-size-sm'?: string;
    '--fly-border-radius-base'?: string;
    '--fly-color-font-1'?: string;
    '--fly-color-font-2'?: string;
    '--fly-color-font-3'?: string;
    '--fly-color-font-4'?: string;
    '--fly-color-border-1'?: string;
    '--fly-color-border-2'?: string;
    '--fly-color-border-3'?: string;
    '--fly-color-border-4'?: string;
    '--fly-color-fill-1'?: string;
    '--fly-color-fill-2'?: string;
    '--fly-color-fill-3'?: string;
    '--fly-color-fill-4'?: string;
    '--fly-color-primary-1'?: string;
    '--fly-color-primary-2'?: string;
    '--fly-color-primary-3'?: string;
    '--fly-color-primary-4'?: string;
    '--fly-color-primary-5'?: string;
    '--fly-color-primary-6'?: string;
    '--fly-color-primary-7'?: string;
    '--fly-color-primary-8'?: string;
    '--fly-color-primary-9'?: string;
    '--fly-color-primary-10'?: string;
    '--fly-color-info-1'?: string;
    '--fly-color-info-2'?: string;
    '--fly-color-info-3'?: string;
    '--fly-color-info-4'?: string;
    '--fly-color-info-5'?: string;
    '--fly-color-info-6'?: string;
    '--fly-color-info-7'?: string;
    '--fly-color-info-8'?: string;
    '--fly-color-info-9'?: string;
    '--fly-color-info-10'?: string;
    '--fly-color-success-1'?: string;
    '--fly-color-success-2'?: string;
    '--fly-color-success-3'?: string;
    '--fly-color-success-4'?: string;
    '--fly-color-success-5'?: string;
    '--fly-color-success-6'?: string;
    '--fly-color-success-7'?: string;
    '--fly-color-success-8'?: string;
    '--fly-color-success-9'?: string;
    '--fly-color-success-10'?: string;
    '--fly-color-warning-1'?: string;
    '--fly-color-warning-2'?: string;
    '--fly-color-warning-3'?: string;
    '--fly-color-warning-4'?: string;
    '--fly-color-warning-5'?: string;
    '--fly-color-warning-6'?: string;
    '--fly-color-warning-7'?: string;
    '--fly-color-warning-8'?: string;
    '--fly-color-warning-9'?: string;
    '--fly-color-warning-10'?: string;
    '--fly-color-error-1'?: string;
    '--fly-color-error-2'?: string;
    '--fly-color-error-3'?: string;
    '--fly-color-error-4'?: string;
    '--fly-color-error-5'?: string;
    '--fly-color-error-6'?: string;
    '--fly-color-error-7'?: string;
    '--fly-color-error-8'?: string;
    '--fly-color-error-9'?: string;
    '--fly-color-error-10'?: string;
    '--fly-gray-1'?: string;
    '--fly-gray-2'?: string;
    '--fly-gray-3'?: string;
    '--fly-gray-4'?: string;
    '--fly-gray-5'?: string;
    '--fly-gray-6'?: string;
    '--fly-gray-7'?: string;
    '--fly-gray-8'?: string;
    '--fly-gray-9'?: string;
    '--fly-gray-10'?: string;
    '--fly-gray-11'?: string;
    '--fly-gray-12'?: string;
    '--fly-gray-13'?: string;
    '--fly-blue-1'?: string;
    '--fly-blue-2'?: string;
    '--fly-blue-3'?: string;
    '--fly-blue-4'?: string;
    '--fly-blue-5'?: string;
    '--fly-blue-6'?: string;
    '--fly-blue-7'?: string;
    '--fly-blue-8'?: string;
    '--fly-blue-9'?: string;
    '--fly-blue-10'?: string;
}
export declare const themeConfigDefaultValue: IThemeConfig;
export interface IThemeFile {
    id: string;
    title: string;
    platform: IPlatform;
    fromMarket?: string;
    original?: IThemeFile;
    config: {
        light?: IThemeConfig;
        dark?: IThemeConfig;
    };
    /**
     * 自定义样式
     */
    customStyles?: string;
    color: {
        gray?: string;
        primary?: string;
        info?: string;
        success?: string;
        warning?: string;
        error?: string;
        link?: string;
    };
    other: {
        borderRadiusBase?: string;
        fontSizeDisplayLg?: string;
        fontSizeDisplayMd?: string;
        fontSizeDisplaySm?: string;
        fontSizeTitleLg?: string;
        fontSizeTitleMd?: string;
        fontSizeTitleSm?: string;
        fontSizeBodyLg?: string;
        fontSizeBodyMd?: string;
        fontSizeBodySm?: string;
        marginXxl?: string;
        marginXl?: string;
        marginLg?: string;
        marginMd?: string;
        marginSm?: string;
        marginXs?: string;
        marginXxs?: string;
        paddingXxl?: string;
        paddingXl?: string;
        paddingLg?: string;
        paddingMd?: string;
        paddingSm?: string;
        paddingXs?: string;
        paddingXxs?: string;
        sizeLg?: string;
        sizeMd?: string;
        sizeSm?: string;
    };
}
export declare const themeFileDefault: IThemeFile;
